# 理想銃後/シャングリラ・ホームフロント 説明書
## 概要
- このソフトウェアは、漫画『シャングリラ・フロンティア』の企画である『クソゲー・コンペ』への応募を目的として作られたゲームです。
- コンセプトは「**最前線の少し前**」です。
  - ゲームの舞台となるのは、『シャンフロ』の本編より少し前の時間です。
  - プレイされるのは、『シャンフロ』と比べれば技術的に遅れているゲームたちです。
  - レトロゲーム機のような、4段階のグレースケールで描かれるピクセルグラフィックを採用しています。
  
## ゲームの流れ
- このゲームは、陽務楽郎を操作する『**リアルパート**』と、クソゲーを遊ぶ『**ゲームパート**』に分けられます。
- リアルパートで購入したゲームをゲームパートで遊ぶことでストーリーが進みますが、時間的制約上、ゲームパートの「遊べる」クソゲーは現時点では1本のみです。
- そのため、このゲームのクリアまでのチャートは以下のようになります。
  1. リアルパートで『ラブクロック』を購入する
  2. 購入した『ラブクロック』を、ゲームパートでクリアする
  3. リアルパートで『フェアリア・クロニクル・オンライン』を購入する
  4. 『フェアリア・クロニクル・オンライン』を起動するとエンディング開始

## 操作
- このゲームは、任天堂が1989年に発売した携帯ゲーム機『ゲームボーイ』のボタンにキーボード上のキーを割り当てています。割り当ての内訳を下に記します。
  - **Kキー**：Aボタン
  - **Jキー**：Bボタン
  - **WASDキー**：方向ボタン
  - **SPACE/ENTERキー**：STARTボタン
  - **SHIFTキー**：SELECTボタン

## 基本的なアクション
### リアルパート
- 方向ボタンを押すと、楽郎が移動します。
- Aボタンを押すと、楽郎が物を調べたり、人に話しかけたりします。
- STARTボタンを押すと、システムメニューが開きます。

### ゲームパート
#### ラブクロック
- 方向ボタンを押すと、カーソルが移動します。
- Aボタンを押すと、カーソルの合っている文字列を『選択』できます。

#### フェアリア・クロニクル・オンライン
- エンドロール中にAボタンを押すと……？

## リアルパート
- リアルパートには、以下の4つのマップがあります。
  - フィールド
  - 陽務家
  - ロックロール
  - コンビニ

### フィールド
- それぞれのマップを繋ぐマップです。
- 陽務家の玄関、ロックロールとコンビニの自動ドアとそれぞれ繋がっています。

### 陽務家
- **楽郎の部屋**、**リビング**、**洗面所**の3つのマップで構成されており、楽郎の部屋はゲームのスタート地点です。
- 楽郎の部屋にある**ベッド**に向けてAボタンを押すことで、寝たり所持しているゲームをプレイしたりできます。

### ロックロール
- 岩巻さんに話しかけることでゲームを購入できます。

### コンビニ
- 店員に話しかけることでエナドリを購入できます。

## エナドリについて
- コンビニで購入でき、最大6本まで同時に持つことができます。
- システムメニューから**エナドリを飲む**ことで、本数に応じて直後に起動するゲームの難易度を緩和します。
- ただし、エナドリは1日3本までしか飲めません。それ以上飲みたい場合は、陽務家で『寝る』を選択すれば回復します。